Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#65415 - [netbeans] netbeans-11.2-2 is signed by expired key

Attached to Project: Community Packages
Opened by CJ Kucera (apocalyptech) - Friday, 07 February 2020, 17:24 GMT
Last edited by Doug Newgard (Scimmia) - Friday, 07 February 2020, 17:56 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

netbeans-11.2-2-any.pkg.tar.zst is signed by an expired key, and so updating it currently fails:

error: netbeans: signature from "Santiago Torres-Arias <santiago@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/netbeans-11.2-2-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n]
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.
[root@arrakis ~]# pacman-key --list-sigs Santiago
pub rsa4096 2014-05-22 [SC] [expired: 2020-01-22]
903BAB73640EB6D65533EFF3468F122CE8162295
uid [ expired] Santiago Torres-Arias <santiago@archlinux.org>

Steps to reproduce:

"pacman -Sy netbeans", or "pacman -Syu" on a system with netbeans already installed
This task depends upon

Closed by  Doug Newgard (Scimmia)
Friday, 07 February 2020, 17:56 GMT
Reason for closing:  Not a bug
Additional comments about closing:  Key is fine in current keyring

Loading...